# Packmangroup: System
# Packmanpackagename: kio-locate
# Packman: Herbert Graeber
# Packmandesc: kio-locate is a KDE I/O Slave for the locate command.
# Packmandesc_de: kio-locate ist ein KDE-I/O-Slave für den locate-Befehl

# norootforbuild

Name:          kio-locate
Summary:       kio-locate is a KDE I/O Slave for the locate command
Summary(de):   kio-locate ist ein KDE-I/O-Slave für den locate-Befehl
Version:       0.3.4
Release:       0.pm.0
License:       GPL
Group:         Productivity/File utilities
Source:        %{name}_%{version}.tar.gz
BuildRoot:     %{_tmppath}/build-root-%{name}
Packager:      Herbert Graeber <herbert@links2linux.de>
Url:           http://arminstraub.de
Requires:      findutils-locate
BuildRequires: kdelibs3-devel

%description
kio-locate is a KDE I/O Slave for the locate command. This means that you can
use kio-locate by simply typing in konquerors address box. You can e.g. type
"locate:index.html" to find all files that contain "index.html" in their name.
There's even more: You can use kio-locate in all KDE applications, that accept
URLs.

%description -l de
kio-locate ist ein KDE-I/O-Slave für den locate-Befehl. Das bedeutet, dass
kio_locate einfach über die Adress-Box des konquereor benutzen kann. Man kann
z. B. "locate:index.html" eingeben um alle Dateien zu finden, die index.html
in ihrem Namen enthalten. Außerdem kann man kio-locate überall benutzen, wo einen URL eingeben kann.

%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

%setup -q

%build
. /etc/opt/kde3/common_options
./configure --prefix=$(kde-config --prefix)\
%ifarch x86_64 amd64 ia32e
            --enable-libsuffix=64
%endif

make -j 2

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
/opt/kde3/%{_lib}/kde3/kio_locate.la
/opt/kde3/%{_lib}/kde3/kio_locate.so
/opt/kde3/share/doc/HTML/*/kio_locate
/opt/kde3/share/locale/*/LC_MESSAGES/kio_locate.mo
/opt/kde3/share/services/*.protocol
/opt/kde3/share/services/searchproviders/*.desktop
